// 接收JAVA的消息
window.MicroClientCallJs = function (arg) {
    MicroClientApi.payOk(arg);
};

window.MicroClientApi = {

    init() {
        // ID和安卓ID对应
        this.adData = {
            loginId: 0,
            splashId: 1,
            showBannerId: 2,
            hideBannerId: 3,
            showInsertId: 4,
            hideInsertId: 5,
            showVideoId: 6,
            shareId: 7,
        };
        console.log("MicroClientApi init sucess")
    },

    // 发送消息到JAVA
    JsCallJava(id) {
        if (window.Android) {
            window.Android.payGame(id);
        } else {
            // 调试模式
            let data = {
                id: id,
                data: "0"
            }
            this.payOk(data);
        }
    },

    // 根基ID判断事件
    payOk(data) {
        let id = data.id;
        switch (id) {
            case this.adData.loginId:
                if (this.logincallback) this.logincallback(data);
                break;
            case this.adData.splashId:
                break;
            case this.adData.showBannerId:
                break;
            case this.adData.hideBannerId:
                break;
            case this.adData.showInsertId:
                break;
            case this.adData.hideInsertId:
                break;
            case this.adData.showVideoId:
                if (this.videocallback) this.videocallback(data.data);
                break;
            case this.adData.shareId:
                break;
        }
    },

    login(cb) {
        this.logincallback = cb;
        this.JsCallJava(this.adData.loginId);
    },

    showVideo(cb) {
        this.videocallback = cb;
        this.JsCallJava(this.adData.showVideoId);
    },

    showBanner(adUnitId) {
        this.JsCallJava(this.adData.showBannerId);
    },

    showInsertAd(adUnitId) {
        this.JsCallJava(this.adData.showInsertId);
    },

    hideBanner() {
        this.JsCallJava(this.adData.hideBannerId);
    },

    share() {
        this.JsCallJava(this.adData.shareId);
    },
};
